%define major		2
%define libname		%mklibname %{name} %{major}
%define devellibname	%mklibname -d %{name}

Name:       xwiimote
Version:    2
Release:    %mkrel 11
Summary:    Linux X11 WiiMote Tools
Group:      System/X11
License:    MIT-like
URL:        https://github.com/dvdhrm/xwiimote
Source:     https://github.com/dvdhrm/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

Requires:   %{libname} == %{version}-%{release}

BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(ncursesw)
BuildRequires: doxygen

%description
xwiimote is a WiiMote Driver for X.


%package -n %{libname}
Summary:    X11 WiiMote library
Group:      System/Libraries
Recommends:   x11-driver-input-xwiimote

%description -n %{libname}
Library for xwiimote.

xwiimote is a WiiMote Driver for X.


%package -n %{devellibname}
Summary:    X11 WiiMote development library
Group:      Development/X11
Requires:   %{libname} == %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devellibname}
Development Library package for xwiimote.

xwiimote is a WiiMote Driver for X.


%prep
%setup -q
%autopatch -p1

sed -i -e 's,NCURSES,NCURSESW,g' configure.ac Makefile.am
sed -i -e 's,ncurses,ncursesw,g' configure.ac

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

# blacklist X11 rules
install -d -m 775 %{buildroot}%{_datadir}/X11/xorg.conf.d/
install -m 664 res/50-xorg-fix-xwiimote.conf %{buildroot}%{_datadir}/X11/xorg.conf.d/

# install xwiidump
install -m 775 xwiidump %{buildroot}%{_bindir}/

# clean up
find %{buildroot} -name "*.la" -delete

%files
%doc README
%doc %_datadir/doc/xwiimote
%{_bindir}/xwiishow
%{_bindir}/xwiidump
%{_mandir}/man1/xwiishow.*

%files -n %{libname}
%{_libdir}/libxwiimote.so.%{major}{,.*}
%{_datadir}/X11/xorg.conf.d/50-xorg-fix-xwiimote.conf

%files -n %{devellibname}
%{_includedir}/xwiimote.h
%{_libdir}/libxwiimote.so
%{_libdir}/pkgconfig/libxwiimote.pc
%{_mandir}/man7/xwiimote.*
%{_mandir}/man7/libxwiimote.*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2-11.mga8
+ Revision: 1519035
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2-10.mga7
+ Revision: 1302000
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 wally <wally> 2-9.mga7
+ Revision: 1237439
- really build with ncursesw

* Sun Jun 17 2018 wally <wally> 2-8.mga7
+ Revision: 1237435
- build against ncursesw (instead of ncurses)

* Mon Jan 04 2016 alien <alien> 2-7.mga6
+ Revision: 919414
- fix build by re-enabling doc
+ neoclust <neoclust>
- Add some docs

* Sun Oct 25 2015 tv <tv> 2-6.mga6
+ Revision: 895095
- fix build by nuking doc installed by package:

* Wed Oct 15 2014 umeabot <umeabot> 2-6.mga5
+ Revision: 749746
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2-5.mga5
+ Revision: 690804
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Sep 07 2014 alien <alien> 2-4.mga5
+ Revision: 673231
- devel subpackage requires the library package

* Sun Sep 07 2014 alien <alien> 2-3.mga5
+ Revision: 673210
+ rebuild (emptylog)

* Sun Sep 07 2014 alien <alien> 2-2.mga5
+ Revision: 673209
+ rebuild (emptylog)

* Sun Sep 07 2014 alien <alien> 2-1.mga5
+ Revision: 673156
- imported package xwiimote

